<?php
//-------------------------------------------------------------------------
// OVIDENTIA http://www.ovidentia.org
// Ovidentia is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// See the GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
// USA.
//-------------------------------------------------------------------------
/**
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License (GPL)
 * @copyright Copyright (c) 2011 by CANTICO ({@link http://www.cantico.fr})
 */
require_once dirname(__FILE__).'/functions.php';

class search_EventTarget
{

    public static function onBeforeSiteMapCreated(bab_eventBeforeSiteMapCreated $event)
    {
        $addon = bab_getAddonInfosInstance('search');
        bab_functionality::includeOriginal('Icons');

        $item = $event->createItem('searchMain');

        $item->setLabel(search_translate('Search'));
        $item->setLink($addon->getUrl().'main');
        $item->addIconClassname(Func_Icons::ACTIONS_EDIT_FIND);
        $item->setPosition(array('root', 'DG0', 'babUser'));

        $event->addFunction($item);

    }
}